OaIdl.ELEMDESC (JNA API)

com.sun.jna.platform.win32

## Class OaIdl.ELEMDESC

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.OaIdl.ELEMDESC

- Direct Known Subclasses:
    OaIdl.ELEMDESC.ByReference
  Enclosing interface:
    OaIdl

      @Structure.FieldOrder(value={"tdesc","_elemdesc"})
      public static class OaIdl.ELEMDESC
      extends Structure

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OaIdl.ELEMDESC._ELEMDESC`
    `static class` | `OaIdl.ELEMDESC.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `OaIdl.ELEMDESC._ELEMDESC` | `_elemdesc`
    `OaIdl.TYPEDESC` | `tdesc` the type of the element C type : TYPEDESC

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ELEMDESC()`
    `ELEMDESC(Pointer pointer)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tdesc

          public OaIdl.TYPEDESC tdesc

      the type of the element
      C type : TYPEDESC

    - #### _elemdesc

          public OaIdl.ELEMDESC._ELEMDESC _elemdesc

  - ### Constructor Detail

    - #### ELEMDESC

          public ELEMDESC()

    - #### ELEMDESC

          public ELEMDESC(Pointer pointer)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.